VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form Form1 
   Caption         =   "TextPipe Engine Demonstration"
   ClientHeight    =   5610
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7545
   LinkTopic       =   "Form1"
   ScaleHeight     =   5610
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "&Run conversion"
      Height          =   375
      Left            =   120
      TabIndex        =   8
      ToolTipText     =   "Transform the text"
      Top             =   5160
      Width           =   2655
   End
   Begin MSComDlg.CommonDialog loadDialog 
      Left            =   4560
      Top             =   3240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      DefaultExt      =   ".fll"
      DialogTitle     =   "Filter to Load"
   End
   Begin VB.TextBox outputText 
      Height          =   1575
      Left            =   120
      TabIndex        =   5
      ToolTipText     =   "The tranformed text"
      Top             =   3480
      Width           =   7335
   End
   Begin VB.TextBox inputText 
      Height          =   2055
      Left            =   120
      TabIndex        =   4
      Text            =   "The quick brown fox jumped over the lazy dog"
      ToolTipText     =   "The text to transform"
      Top             =   1080
      Width           =   7335
   End
   Begin VB.CommandButton editButton 
      Caption         =   "&Edit"
      Height          =   375
      Left            =   6720
      TabIndex        =   3
      ToolTipText     =   "Edit this filter using TextPipe"
      Top             =   360
      Width           =   735
   End
   Begin VB.CommandButton browseButton 
      Caption         =   "..."
      Height          =   375
      Left            =   6360
      TabIndex        =   2
      ToolTipText     =   "Browse for a new filter"
      Top             =   360
      Width           =   375
   End
   Begin VB.TextBox filterFilename 
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Text            =   "C:\Program Files\Crystal Software\TextPipe\fun\Elmer Fudd.fll"
      ToolTipText     =   "The filter to transform the text"
      Top             =   360
      Width           =   6255
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "&Output text"
      Height          =   195
      Left            =   120
      TabIndex        =   7
      Top             =   3240
      Width           =   780
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "&Input text"
      Height          =   195
      Left            =   120
      TabIndex        =   6
      Top             =   840
      Width           =   660
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "&TextPipe Filter file to use (.fll)"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2010
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub browseButton_Click()
  loadDialog.Flags = loadDialog.Flags Or cdlOFNFileMustExist
  loadDialog.ShowOpen
  filterFilename.Text = loadDialog.filename
End Sub

  
Private Sub Command1_Click()

  Dim a As Long
  Dim errorItem As Integer
  Dim res As String
  Dim f As Long

  a = tp_loadFilterFile(filterFilename.Text)
  If a <> 0 Then
    f = tp_generateFilterList(a, _
      errorItem)

    If f <> nil Then
      res = tp_processString(f, inputText.Text)
      outputText.Text = res
    Else
      MsgBox "Error creating filter list from " & filterFilename.Text
    End If
      
    tp_freeFilterFile (a)
    tp_freeFilterList (f)
      
  Else
    MsgBox "Couldn't open " & filterFilename.Text
  End If
  
End Sub
  

Private Sub editButton_Click()
 
Dim result As Integer

  Call ShellExecuteA( _
    0, _
    "OPEN", _
    filterFilename.Text, _
    "", _
    "", _
    1)
 
End Sub

Private Sub Form_Initialize()

  Call textpipe_engine_init

End Sub

